Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03228 Misc. Trivial Always Jun 1, 2009, 15:06 Aug 22, 2020, 13:45
Tester NekoEd View Status Public Platform SDLMAME
Assigned To AJR Resolution Fixed OS
Status [?] Resolved Driver midxunit.cpp
Version 0.131u3 Fixed in Version 0.224 Build
Summary 03228: revx: Custom chip fails in POST
Description Letting the POST run through it's tests ends with "CUSTOM CHIP U76 BAD", which according to the PCB info in the source is the Williams-marked ASIC. No ill-effects whatsoever are experienced (or at least noticed) due to this failure.
Steps To Reproduce Start the game, let POST run through, after the ROMs are tested (they all test good, as do the scratch RAMs tested before them), it will report that U76 is bad. Pressing any button allows the game to continue unhindered.
Additional Information
Flags
Regression Version
Affected Sets / Systems revx
Attached Files
png file icon 0028.png (4,031 bytes) Jun 1, 2009, 15:06
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.04427
Tafoid
Administrator
Jun 1, 2009, 15:46
edited on: Jun 1, 2009, 17:42
This has behaved the same since it was added and it's a commonly known issue. Not sure why it's not explicitly noted in the source file for the game, but it should be. This 'bug' isn't really a bug, since a dump of the contents of this missing piece (U76 Custom) is not available - of course the check would say it's bad.

Acknowledging with the hopes this gets properly documented in the source.
User avatar
No.17903
Hydreigon
Tester
Aug 20, 2020, 14:51
Fixed: https://github.com/mamedev/mame/commit/efed2ea2c21c9ac4dec8b3682efce8d731623abb
https://github.com/mamedev/mame/commit/9bec3ed3d3402caee642677e0efb64e6154480e9
https://github.com/mamedev/mame/commit/473dbb6c1e9f426a95aa713e93642745a486394b